> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept follow up suggestion

> Raise the follow-ups a person selected from an inspection's repair suggestions, through the inspection's own command



## OpenAPI

````yaml /openapi.json post /maintenance-pro/suggestions/{id}/accept-follow-ups
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /maintenance-pro/suggestions/{id}/accept-follow-ups:
    post:
      tags:
        - maintenance-pro
      summary: Accept follow up suggestion
      description: >-
        Raise the follow-ups a person selected from an inspection's repair
        suggestions, through the inspection's own command
      operationId: maintenance-pro.acceptFollowUpSuggestion
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcceptFollowUpSuggestionBody'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  suggestion:
                    $ref: '#/components/schemas/MaintenanceSuggestionRow'
                  result:
                    $ref: '#/components/schemas/InspectionFollowUpResultRow'
                required:
                  - suggestion
                  - result
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/MaintenanceSuggestionItemInvalidError'
                  - $ref: '#/components/schemas/InspectionInputInvalid'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/MaintenanceSuggestionNotFoundError'
                  - $ref: >-
                      #/components/schemas/MaintenanceSuggestionSubjectNotFoundError
                  - $ref: '#/components/schemas/InspectionNotFound'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MaintenanceSuggestionReviewedError'
                  - $ref: >-
                      #/components/schemas/MaintenanceSuggestionRequestReusedError
                  - $ref: '#/components/schemas/MaintenanceSuggestionStaleError'
                  - $ref: '#/components/schemas/InspectionStale'
                  - $ref: '#/components/schemas/InspectionRequestConflict'
                  - $ref: '#/components/schemas/InspectionTransitionInvalid'
                  - $ref: '#/components/schemas/InspectionFollowUpUnavailable'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    AcceptFollowUpSuggestionBody:
      type: object
      properties:
        requestId:
          type: string
        followUps:
          type: array
          items:
            type: object
            properties:
              findingId:
                type: string
              action:
                type: string
                enum:
                  - repair
                  - task
              description:
                anyOf:
                  - anyOf:
                      - type: string
                      - type: 'null'
                  - type: 'null'
              urgency:
                anyOf:
                  - anyOf:
                      - type: string
                      - type: 'null'
                  - type: 'null'
              dueOn:
                anyOf:
                  - anyOf:
                      - type: string
                      - type: 'null'
                  - type: 'null'
            required:
              - findingId
              - action
            additionalProperties: false
        complete:
          anyOf:
            - anyOf:
                - type: object
                  properties:
                    expectedRevision:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    outcome:
                      type: string
                      enum:
                        - satisfactory
                        - minor_actions
                        - unsatisfactory
                    summary:
                      anyOf:
                        - anyOf:
                            - type: string
                            - type: 'null'
                        - type: 'null'
                  required:
                    - expectedRevision
                    - outcome
                  additionalProperties: false
                - type: 'null'
            - type: 'null'
      required:
        - requestId
        - followUps
      additionalProperties: false
    MaintenanceSuggestionRow:
      type: object
      properties:
        state:
          type: string
          enum:
            - not_included
            - 'off'
            - unsupported
            - not_requested
            - pending
            - ready
            - unavailable
            - no_text
        note:
          anyOf:
            - type: string
            - type: 'null'
        id:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          type: string
          enum:
            - contractor-suitability
            - inspection-follow-up
            - invoice-check
            - invoice-intake
        subjectKind:
          type: string
        subjectId:
          type: string
        result:
          anyOf:
            - $ref: '#/components/schemas/MaintenanceSuggestionResultRow'
            - type: 'null'
        reviews:
          type: array
          items:
            $ref: '#/components/schemas/MaintenanceSuggestionReviewRow'
        partCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        failedParts:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        retrying:
          type: boolean
        canRetry:
          type: boolean
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - state
        - note
        - id
        - kind
        - subjectKind
        - subjectId
        - result
        - reviews
        - partCount
        - failedParts
        - retrying
        - canRetry
        - createdAt
        - updatedAt
      additionalProperties: false
    InspectionFollowUpResultRow:
      type: object
      properties:
        inspection:
          $ref: '#/components/schemas/InspectionDetailRow'
        raised:
          type: array
          items:
            type: object
            properties:
              findingId:
                type: string
              action:
                type: string
                enum:
                  - repair
                  - task
              id:
                type: string
              reference:
                anyOf:
                  - type: string
                  - type: 'null'
              created:
                type: boolean
            required:
              - findingId
              - action
              - id
              - reference
              - created
            additionalProperties: false
      required:
        - inspection
        - raised
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    MaintenanceSuggestionItemInvalidError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceSuggestionItemInvalid
        item:
          type: string
        message:
          type: string
      required:
        - _tag
        - item
        - message
      additionalProperties: false
    InspectionInputInvalid:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionInputInvalid
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    MaintenanceSuggestionNotFoundError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceSuggestionNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    MaintenanceSuggestionSubjectNotFoundError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceSuggestionSubjectNotFound
        kind:
          type: string
        id:
          type: string
      required:
        - _tag
        - kind
        - id
      additionalProperties: false
    InspectionNotFound:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MaintenanceSuggestionReviewedError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceSuggestionReviewed
        item:
          type: string
        decision:
          type: string
        recordKind:
          anyOf:
            - type: string
            - type: 'null'
        recordId:
          anyOf:
            - type: string
            - type: 'null'
        message:
          type: string
      required:
        - _tag
        - item
        - decision
        - recordKind
        - recordId
        - message
      additionalProperties: false
    MaintenanceSuggestionRequestReusedError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceSuggestionRequestReused
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    MaintenanceSuggestionStaleError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceSuggestionStale
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    InspectionStale:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionStale
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        expectedRevision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - revision
        - expectedRevision
        - message
      additionalProperties: false
    InspectionRequestConflict:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionRequestConflict
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    InspectionTransitionInvalid:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionTransitionInvalid
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    InspectionFollowUpUnavailable:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionFollowUpUnavailable
        action:
          type: string
        message:
          type: string
      required:
        - _tag
        - action
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
    MaintenanceSuggestionResultRow:
      type: object
      properties:
        kind:
          type: string
          enum:
            - contractor-suitability
            - inspection-follow-up
            - invoice-check
            - invoice-intake
        contractor:
          anyOf:
            - type: object
              properties:
                status:
                  type: string
                  enum:
                    - suggested
                    - uncertain
                    - unavailable
                    - no-job
                    - no-candidates
                note:
                  type: string
                stated:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      label:
                        type: string
                      phrase:
                        type: string
                    required:
                      - id
                      - label
                      - phrase
                    additionalProperties: false
                contractors:
                  type: array
                  items:
                    type: object
                    properties:
                      contractorId:
                        type: string
                      name:
                        type: string
                      status:
                        type: string
                        enum:
                          - suggested
                          - uncertain
                          - unavailable
                      rank:
                        anyOf:
                          - anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          - type: 'null'
                      overall:
                        anyOf:
                          - anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          - type: 'null'
                      note:
                        type: string
                      capabilities:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            label:
                              type: string
                            state:
                              type: string
                              enum:
                                - fits
                                - partly
                                - does-not-fit
                                - unknown
                                - uncertain
                            evidence:
                              anyOf:
                                - type: string
                                - type: 'null'
                            note:
                              type: string
                          required:
                            - id
                            - label
                            - state
                            - evidence
                            - note
                          additionalProperties: false
                    required:
                      - contractorId
                      - name
                      - status
                      - rank
                      - overall
                      - note
                      - capabilities
                    additionalProperties: false
                notRanked:
                  type: array
                  items:
                    type: object
                    properties:
                      contractorId:
                        type: string
                      name:
                        type: string
                      reason:
                        type: string
                    required:
                      - contractorId
                      - name
                      - reason
                    additionalProperties: false
              required:
                - status
                - note
                - stated
                - contractors
                - notRanked
              additionalProperties: false
            - type: 'null'
        inspection:
          anyOf:
            - type: object
              properties:
                status:
                  type: string
                  enum:
                    - suggested
                    - uncertain
                    - unavailable
                    - nothing-to-suggest
                    - no-report
                note:
                  type: string
                findings:
                  type: array
                  items:
                    type: object
                    properties:
                      findingId:
                        type: string
                      label:
                        type: string
                      status:
                        type: string
                        enum:
                          - suggested
                          - not-repair
                          - uncertain
                          - unavailable
                      sentences:
                        type: array
                        items:
                          type: object
                          properties:
                            partKey:
                              type: string
                            text:
                              type: string
                            status:
                              type: string
                              enum:
                                - suggested
                                - not-repair
                                - uncertain
                                - unavailable
                            kindLabel:
                              anyOf:
                                - type: string
                                - type: 'null'
                            note:
                              type: string
                          required:
                            - partKey
                            - text
                            - status
                            - kindLabel
                            - note
                          additionalProperties: false
                    required:
                      - findingId
                      - label
                      - status
                      - sentences
                    additionalProperties: false
                suggestedFindingIds:
                  type: array
                  items:
                    type: string
                truncated:
                  type: boolean
              required:
                - status
                - note
                - findings
                - suggestedFindingIds
                - truncated
              additionalProperties: false
            - type: 'null'
        invoice:
          anyOf:
            - type: object
              properties:
                status:
                  type: string
                  enum:
                    - suggested
                    - uncertain
                    - unavailable
                note:
                  type: string
                suggestedJob:
                  anyOf:
                    - $ref: '#/components/schemas/InvoiceJobRefRow'
                    - type: 'null'
                confidence:
                  anyOf:
                    - anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    - type: 'null'
                descriptionMismatch:
                  anyOf:
                    - type: boolean
                    - type: 'null'
                possibleDuplicate:
                  anyOf:
                    - type: boolean
                    - type: 'null'
                alreadyInvoiced:
                  type: boolean
                current:
                  anyOf:
                    - type: object
                      properties:
                        jobId:
                          type: string
                        label:
                          type: string
                        levelLabel:
                          anyOf:
                            - type: string
                            - type: 'null'
                        credible:
                          type: boolean
                        mismatch:
                          anyOf:
                            - type: boolean
                            - type: 'null'
                        duplicate:
                          anyOf:
                            - type: boolean
                            - type: 'null'
                        alreadyInvoiced:
                          type: boolean
                        existingInvoiceNumber:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - jobId
                        - label
                        - levelLabel
                        - credible
                        - mismatch
                        - duplicate
                        - alreadyInvoiced
                        - existingInvoiceNumber
                      additionalProperties: false
                    - type: 'null'
                otherJobSuggested:
                  type: boolean
                candidates:
                  type: array
                  items:
                    type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - repair
                          - visit
                      id:
                        type: string
                      label:
                        type: string
                      levelLabel:
                        anyOf:
                          - type: string
                          - type: 'null'
                      credible:
                        type: boolean
                      existingInvoiceNumber:
                        anyOf:
                          - type: string
                          - type: 'null'
                      current:
                        type: boolean
                    required:
                      - kind
                      - id
                      - label
                      - levelLabel
                      - credible
                      - existingInvoiceNumber
                      - current
                    additionalProperties: false
              required:
                - status
                - note
                - suggestedJob
                - confidence
                - descriptionMismatch
                - possibleDuplicate
                - alreadyInvoiced
                - current
                - otherJobSuggested
                - candidates
              additionalProperties: false
            - type: 'null'
      required:
        - kind
        - contractor
        - inspection
        - invoice
      additionalProperties: false
    MaintenanceSuggestionReviewRow:
      type: object
      properties:
        item:
          type: string
        decision:
          type: string
          enum:
            - accepted
            - dismissed
        recordKind:
          anyOf:
            - type: string
            - type: 'null'
        recordId:
          anyOf:
            - type: string
            - type: 'null'
        reviewedByUserId:
          anyOf:
            - type: string
            - type: 'null'
        note:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
      required:
        - item
        - decision
        - recordKind
        - recordId
        - reviewedByUserId
        - note
        - createdAt
      additionalProperties: false
    InspectionDetailRow:
      type: object
      properties:
        id:
          type: string
        reference:
          type: string
        type:
          type: string
          enum:
            - routine
            - check_in
            - check_out
        status:
          type: string
          enum:
            - due
            - booked
            - completed
            - cancelled
        propertyId:
          anyOf:
            - type: string
            - type: 'null'
        propertyLabel:
          anyOf:
            - type: string
            - type: 'null'
        blockId:
          anyOf:
            - type: string
            - type: 'null'
        blockLabel:
          anyOf:
            - type: string
            - type: 'null'
        tenancyId:
          anyOf:
            - type: string
            - type: 'null'
        dueOn:
          anyOf:
            - type: string
            - type: 'null'
        overdue:
          type: boolean
        notes:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        outcome:
          anyOf:
            - type: string
              enum:
                - satisfactory
                - minor_actions
                - unsatisfactory
            - type: 'null'
        booking:
          anyOf:
            - type: object
              properties:
                appointmentId:
                  type: string
                status:
                  type: string
                  enum:
                    - held
                    - confirmed
                    - cancelled
                    - done
                startsAt:
                  type: string
                endsAt:
                  type: string
                staffId:
                  anyOf:
                    - type: string
                    - type: 'null'
                staffName:
                  anyOf:
                    - type: string
                    - type: 'null'
                revision:
                  anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
              required:
                - appointmentId
                - status
                - startsAt
                - endsAt
                - staffId
                - staffName
                - revision
              additionalProperties: false
            - type: 'null'
        findingCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        followUpCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        draftSavedAt:
          anyOf:
            - type: string
            - type: 'null'
        completedAt:
          anyOf:
            - type: string
            - type: 'null'
        completedByUserId:
          anyOf:
            - type: string
            - type: 'null'
        cancelledAt:
          anyOf:
            - type: string
            - type: 'null'
        cancelReason:
          anyOf:
            - type: string
            - type: 'null'
        accessNotice:
          anyOf:
            - type: object
              properties:
                givenAt:
                  type: string
                method:
                  type: string
                  enum:
                    - in_person
                    - email
                    - letter
                    - text
                    - phone
                    - other
                notes:
                  anyOf:
                    - type: string
                    - type: 'null'
                short:
                  anyOf:
                    - type: boolean
                    - type: 'null'
              required:
                - givenAt
                - method
                - notes
                - short
              additionalProperties: false
            - type: 'null'
        acknowledgement:
          anyOf:
            - type: object
              properties:
                receivedOn:
                  type: string
                signed:
                  type: boolean
                commented:
                  type: boolean
                comments:
                  anyOf:
                    - type: string
                    - type: 'null'
                documentId:
                  anyOf:
                    - type: string
                    - type: 'null'
                recordedAt:
                  type: string
                recordedByUserId:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - receivedOn
                - signed
                - commented
                - comments
                - documentId
                - recordedAt
                - recordedByUserId
              additionalProperties: false
            - type: 'null'
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        createdByUserId:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        findings:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              position:
                anyOf:
                  - type: number
                  - type: string
                    enum:
                      - Infinity
                      - '-Infinity'
                      - NaN
              area:
                type: string
              item:
                anyOf:
                  - type: string
                  - type: 'null'
              condition:
                type: string
                enum:
                  - good
                  - fair
                  - poor
                  - na
              notes:
                anyOf:
                  - type: string
                  - type: 'null'
              photos:
                anyOf:
                  - type: array
                    items:
                      type: object
                      properties:
                        documentId:
                          type: string
                        name:
                          type: string
                        contentType:
                          anyOf:
                            - type: string
                            - type: 'null'
                        kind:
                          type: string
                        createdAt:
                          type: string
                        archivedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        purged:
                          type: boolean
                      required:
                        - documentId
                        - name
                        - contentType
                        - kind
                        - createdAt
                        - archivedAt
                        - purged
                      additionalProperties: false
                  - type: 'null'
              repair:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      reference:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - reference
                    additionalProperties: false
                  - type: 'null'
              task:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      title:
                        type: string
                      status:
                        type: string
                      dueOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - title
                      - status
                      - dueOn
                    additionalProperties: false
                  - type: 'null'
            required:
              - id
              - position
              - area
              - item
              - condition
              - notes
              - photos
              - repair
              - task
            additionalProperties: false
        visits:
          type: array
          items:
            type: object
            properties:
              appointmentId:
                type: string
              status:
                type: string
                enum:
                  - held
                  - confirmed
                  - cancelled
                  - done
              startsAt:
                type: string
              endsAt:
                type: string
              staffName:
                anyOf:
                  - type: string
                  - type: 'null'
              outcome:
                anyOf:
                  - type: string
                    enum:
                      - attended
                      - no_show
                  - type: 'null'
              cancelReason:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - appointmentId
              - status
              - startsAt
              - endsAt
              - staffName
              - outcome
              - cancelReason
            additionalProperties: false
        reports:
          anyOf:
            - type: array
              items:
                type: object
                properties:
                  documentId:
                    type: string
                  name:
                    type: string
                  contentType:
                    anyOf:
                      - type: string
                      - type: 'null'
                  kind:
                    type: string
                  createdAt:
                    type: string
                  archivedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  purged:
                    type: boolean
                required:
                  - documentId
                  - name
                  - contentType
                  - kind
                  - createdAt
                  - archivedAt
                  - purged
                additionalProperties: false
            - type: 'null'
        checkIn:
          anyOf:
            - type: object
              properties:
                id:
                  type: string
                reference:
                  type: string
                completedAt:
                  anyOf:
                    - type: string
                    - type: 'null'
                findings:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      area:
                        type: string
                      item:
                        anyOf:
                          - type: string
                          - type: 'null'
                      condition:
                        type: string
                        enum:
                          - good
                          - fair
                          - poor
                          - na
                      notes:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - area
                      - item
                      - condition
                      - notes
                    additionalProperties: false
              required:
                - id
                - reference
                - completedAt
                - findings
              additionalProperties: false
            - type: 'null'
      required:
        - id
        - reference
        - type
        - status
        - propertyId
        - propertyLabel
        - blockId
        - blockLabel
        - tenancyId
        - dueOn
        - overdue
        - notes
        - summary
        - outcome
        - booking
        - findingCount
        - followUpCount
        - draftSavedAt
        - completedAt
        - completedByUserId
        - cancelledAt
        - cancelReason
        - accessNotice
        - acknowledgement
        - revision
        - createdByUserId
        - createdAt
        - updatedAt
        - findings
        - visits
        - reports
        - checkIn
      additionalProperties: false
    InvoiceJobRefRow:
      type: object
      properties:
        kind:
          type: string
          enum:
            - repair
            - visit
        id:
          type: string
        label:
          type: string
        propertyId:
          anyOf:
            - type: string
            - type: 'null'
        blockId:
          anyOf:
            - type: string
            - type: 'null'
        contractorContactId:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - kind
        - id
        - label
        - propertyId
        - blockId
        - contractorContactId
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.